Bug 129872 - usb modem disappears from /proc/bus/usb/devices
usb modem disappears from /proc/bus/usb/devices
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FCMETA_USB
  Show dependency treegraph
 
Reported: 2004-08-13 12:36 EDT by John Reiser
Modified: 2015-01-04 17:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-04 16:15:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2004-08-13 12:36:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
After up2date this morning, my usb modem has disappeared from
/proc/bus/usb/devices.  kudzu-1.1.78-1 detected that it was no longer
present, and I selected "Remove configuration".  Previous versions of
kudzu left an entry in /etc/sysconfig/hwconf, but that entry is now
gone.  The modem is still present, and was plugged in and turned on
before the power was turned on, and was not touched during BIOS
warm-up or boot.  The modem's Active LED is flickering rapidly (at
least dozens of times per second), but the LED is not full ON like
during a long data transfer.  Yesterday after boot, all LEDs (except
the green power-on LED) would be off.

/var/log/messages shows
-----
Aug 13 09:07:54 fc3test1 kernel: usb 2-1: new full speed USB device
using address 2
Aug 13 09:07:54 fc3test1 kernel: usb 2-1: control timeout on ep0out
Aug 13 09:07:54 fc3test1 kernel: usb 2-1: control timeout on ep0out
Aug 13 09:07:54 fc3test1 kernel: usb 2-1: device not accepting address
2, error -110
Aug 13 09:07:54 fc3test1 kernel: usb 2-1: new full speed USB device
using address 3
Aug 13 09:07:54 fc3test1 kernel: usb 2-1: control timeout on ep0out
Aug 13 09:07:54 fc3test1 kernel: usb 2-1: control timeout on ep0out
Aug 13 09:07:54 fc3test1 kernel: usb 2-1: device not accepting address
3, error -110
-----
and the modem is the only full-speed device; the only other usb device
is a lowspeed Logitech trackball IMPS/2 mouse.

After being up 30 minutes, /proc/interrupts shows
           CPU0
  0:    1831839          XT-PIC  timer
  1:       6528          XT-PIC  i8042
  2:          0          XT-PIC  cascade
  5:      18823          XT-PIC  ohci_hcd, ohci_hcd
  8:          1          XT-PIC  rtc
 10:          0          XT-PIC  Trident Audio
 11:     131499          XT-PIC  r128@PCI:1:0:0
 12:       1452          XT-PIC  eth0
 14:      16663          XT-PIC  ide0
 15:      18251          XT-PIC  ide1
but the ohci_hcd number does not grow as time passes: only as the
mouse is moved.

Also, the boot step "Mounting USB filesystem" takes much longer (10 to
15 seconds) that it used to (2 or 3 seconds).

Kernel module cdc_acm did not get loaded.

The new behavior today happens with both kernel-2.6.7-1.515
[yesterday's] and kernel-2.6.7-1.517 [today's].

Version-Release number of selected component (if applicable):
hal-0.2.96-2

How reproducible:
Always

Steps to Reproduce:
1. Boot.
2. cat /proc/bus/usb/devices
3.
    

Actual Results:  No listing for usb modem that was plugged in and
turned on before boot.

Expected Results:  usb modem is listed in /proc/bus/usb/devices.


Additional info:
Comment 1 John (J5) Palmieri 2004-08-13 13:36:25 EDT
This is not a HAL issue.  It is either a kernel or hotplug issue.
Moving to hotplug.  Also updated version to Fedora Core Devel as this
is a Rawhide issue if it just happened yesterday.
Comment 2 John Reiser 2004-08-14 10:32:23 EDT
The modem has re-appeared.  Booting this morning, before up2date,
kudzu found the modem, and I selected Configure.  The device listing is
----- /proc/bus/usb/devices
T:  Bus=02 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  2 Spd=12  MxCh= 0
D:  Ver= 1.00 Cls=02(comm.) Sub=00 Prot=00 MxPS= 8 #Cfgs=  2
P:  Vendor=0803 ProdID=9700 Rev= 1.00
S:  Manufacturer=Zoom Telephonics, Inc.
S:  Product=Zoom V90 USB Faxmodem
C:  #Ifs= 2 Cfg#= 1 Atr=a0 MxPwr=400mA
I:  If#= 0 Alt= 0 #EPs= 0 Cls=ff(vend.) Sub=ff Prot=ff Driver=
I:  If#= 1 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=
E:  Ad=02(O) Atr=02(Bulk) MxPS=  16 Ivl=0ms
E:  Ad=84(I) Atr=03(Int.) MxPS=  63 Ivl=2ms
C:* #Ifs= 2 Cfg#= 2 Atr=a0 MxPwr=400mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=02(comm.) Sub=02 Prot=01 Driver=(none)
E:  Ad=84(I) Atr=03(Int.) MxPS=  32 Ivl=128ms
I:  If#= 1 Alt= 0 #EPs= 2 Cls=0a(data ) Sub=02 Prot=01 Driver=(none)
E:  Ad=02(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=86(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
-----
Note the "Driver=(none)"; perhaps this should be "Driver=cdc_acm"?

The kernel /var/log/messages are
-----
Aug 14 07:21:49 fc3test1 kernel: usb 2-1: new full speed USB device
using address 2
Aug 14 07:21:49 fc3test1 kernel: usb 2-1: configuration #2 chosen from
2 choices
-----
and after "modprobe cdc_acm" [done by hand]:
-----
Aug 14 07:23:24 fc3test1 kernel: drivers/usb/class/cdc-acm.c: Ignoring
extra header
Aug 14 07:23:24 fc3test1 kernel: usbcore: registered new driver cdc_acm
Aug 14 07:23:24 fc3test1 kernel: drivers/usb/class/cdc-acm.c:
v0.23:USB Abstract Control Model driver for USB modems and ISDN adapters
-----

However the device still cannot be opened:
-----
$ strace -eopen cat /dev/input/ttyACM0  |  grep tty
open("/dev/input/ttyACM0", O_RDONLY|O_LARGEFILE) = -1 EINVAL (Invalid
argument)
-----

After up2date this morning, packages are [rpm -qa  |  grep <pkg>]:
-----
kernel-2.6.7-1.517
kudzu-1.1.79-1
initscripts-7.61.1-1
hotplug-2004_04_01-4
-----
Comment 3 Dave Jones 2005-10-05 20:28:32 EDT
did this get fixed in a later build ?
Comment 4 John Reiser 2005-10-07 10:13:04 EDT
The modem now appears in /proc/bus/usb/devices.  Kernel module cdc_acm was
loaded without requiring intervention from sysadmin.

kernel-2.6.13-1.1526_FC4
kudzu-1.1.116.2-2
initscripts-8.11.1-1
hotplug-2004_09_23-7
=====
T:  Bus=05 Lev=01 Prnt=01 Port=01 Cnt=02 Dev#=  3 Spd=12  MxCh= 0
D:  Ver= 1.00 Cls=02(comm.) Sub=00 Prot=00 MxPS= 8 #Cfgs=  2
P:  Vendor=0803 ProdID=9700 Rev= 1.00
S:  Manufacturer=Zoom Telephonics, Inc.
S:  Product=Zoom V90 USB Faxmodem
C:  #Ifs= 2 Cfg#= 1 Atr=a0 MxPwr=400mA
I:  If#= 0 Alt= 0 #EPs= 0 Cls=ff(vend.) Sub=ff Prot=ff Driver=
I:  If#= 1 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=
E:  Ad=02(O) Atr=02(Bulk) MxPS=  16 Ivl=0ms
E:  Ad=84(I) Atr=03(Int.) MxPS=  63 Ivl=2ms
C:* #Ifs= 2 Cfg#= 2 Atr=a0 MxPwr=400mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=02(comm.) Sub=02 Prot=01 Driver=cdc_acm
E:  Ad=84(I) Atr=03(Int.) MxPS=  32 Ivl=128ms
I:  If#= 1 Alt= 0 #EPs= 2 Cls=0a(data ) Sub=02 Prot=01 Driver=cdc_acm
E:  Ad=02(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=86(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms

=====

Note You need to log in before you can comment on or make changes to this bug.